Get one form
curl --request GET \
--url https://{organization}.rescueconsole.com/api/forms/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/forms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/forms/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"form": {
"id": "<string>",
"slug": "<string>",
"title": "<string>",
"form_kind": "adoption_application",
"is_published": true,
"description": "<string>",
"success_message": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"fields": [
{
"id": "<string>",
"field_key": "<string>",
"label": "<string>",
"field_type": "text",
"options": [
"<string>"
],
"required": true,
"help_text": "<string>",
"sort_order": 123
}
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Forms
Get one form
The form and its questions, published or not. Needs read on the area of the form’s kind; a form your key may not read answers 404, the same as one that does not exist.
GET
/
api
/
forms
/
{id}
Get one form
curl --request GET \
--url https://{organization}.rescueconsole.com/api/forms/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/forms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/forms/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"form": {
"id": "<string>",
"slug": "<string>",
"title": "<string>",
"form_kind": "adoption_application",
"is_published": true,
"description": "<string>",
"success_message": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"fields": [
{
"id": "<string>",
"field_key": "<string>",
"label": "<string>",
"field_type": "text",
"options": [
"<string>"
],
"required": true,
"help_text": "<string>",
"sort_order": 123
}
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}